# Chart.ChartViewBar (Javadocs: controlP5)
Date: 2014-04-27

controlP5

## Class Chart.ChartViewBar

- java.lang.Object
- - controlP5.Chart.ChartViewBar

All Implemented Interfaces:
  ControllerView<Chart>

Enclosing class:
  Chart

    public class Chart.ChartViewBar
    extends java.lang.Object
    implements ControllerView<Chart>

### Constructor Summary

Constructors
Constructor and Description
`Chart.ChartViewBar()`

### Method Summary

Methods
`void` `display(processing.core.PGraphics theGraphics, Chart theController)` draws your custom controllers.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Chart.ChartViewBar

    public Chart.ChartViewBar()

### Method Detail

#### display

    public void display(processing.core.PGraphics theGraphics,
               Chart theController)

Description copied from interface: `ControllerView`
draws your custom controllers. display() will be called by a controller's draw() function and will pass a reference of PApplet as well as the Controller itself to your custom display class.

Specified by:
  `display` in interface `ControllerView<Chart>`